Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07984 DIP/Input Minor Always May 22, 2021, 18:04 May 23, 2021, 06:19
Tester gspat View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Acknowledged Driver dai3wksi.cpp
Version 0.231 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07984: warp1t: Warp-1 (Japan, Taito license) requires DIP setting for cocktail/upright
Description When running the game from CLI, using "mame warp1t" game starts upside down.

When playing, if you add credits and select 2 player mode, when switching to second player, display is rotated 180 degrees (right side up)

There is no DIP setting for cocktail/upright, only "High Score Table On/Off" (default OFF)
Steps To Reproduce Run machine from CLI using "mame warp1t"

Add 2 or more credits and select 2 player game.

Die as first player
Additional Information Using 0.231 (mame0231-374-g6df539817dd) - (Compiled using official toolchain on 05/21/2021)
Github Commit
Flags
Regression Version
Affected Sets / Systems warp1t
Attached Files
jpg file icon warp1_mini_upright.jpg (214,324 bytes) May 23, 2021, 06:15 Uploaded by jkburks
Warp 1 installed in mini upright cabinet
jkburks
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.18879
Tafoid
Administrator
May 22, 2021, 19:05
Machines warp1, warp1t and warp1bl with updated romsets and a current days Git binary (May 22, 2021) all started from command line showing upright with proper player two cocktail view. Ensure you don't have leftover .cfg files and your romsets are updated (new ones were added/changed during 0.231 cycle).
User avatar
No.18882
gspat
Tester
May 22, 2021, 19:53
edited on: May 22, 2021, 19:55
Updated ROMs, removed cfgs

Player One now displays correctly.

Player 2 is now upside down

Reverse of issue stated above

Presently compiling newest git-master
User avatar
No.18883
Tafoid
Administrator
May 22, 2021, 20:17
As expected. The game appears to have only been a cocktail cabinet game and coded as such where it was never in an Upright cab - at least with the romsets that even been archived by MAME. There are no DIPs discovered to adjust orientation nor cabinet type.

From source file:
TODO:
- Two player games are automatically displayed in cocktail mode.
  Is this by design (a cocktail only romset)?
User avatar
No.18884
gspat
Tester
May 22, 2021, 20:39
edited on: May 22, 2021, 20:57
Sort-of Update:

I believe this is also an upright game, so as such, should have a dipswitch setting to change between upright/cocktail..

At about the 40 seconds in on the following video, it shows the game in an upright cabinet. I doubt player 2 would be played in cocktail mode on it.



Also, this flyer:

https://www.flyerfever.com/post/93147136313/warp-1

So, maybe all warp-1 sets need the dip setting/something?

The Japan auction this romset originated from shows the PCB has dipswitches?

https://page.auctions.yahoo.co.jp/jp/auction/e502903219
User avatar
No.18885
Tafoid
Administrator
May 22, 2021, 20:52
edited on: May 22, 2021, 21:18
You can't just CREATE a dip setting out of thin air to make a function which the program cannot handle.

If the board has/had some wire hacks or even alternative program roms which handled the ability to switch between cabinet types - there may be something that can be done. If there was a cabinet with original artwork and other accoutrements that made it a unique game, I'd be more apt to assume that an upright cabinet allowed even starting a 2 player game. The generic upright cabinet with no view of the control panel - it may have had only one (P1) start button. All observation of the roms as it stand right now doesn't seem to indicate it was meant to be played outside of the cocktail cabinet arrangement.

EDIT: I've edited my message to not insist there isn't a DIP (first quick glance of the submission PCB picture I didn't see it) but there is indeed an 8 position DIP on the board. I've acknowledged pending dev interaction.
User avatar
No.18886
gspat
Tester
May 22, 2021, 21:19
edited on: May 22, 2021, 22:32
Seems my edit overlapped with your last post.

Source for above:

https://www.reddit.com/r/MAME/comments/mtb0gd/warp1_a_very_rare_sun_electronics_taito_game_from/

.:Edit:

Updated report to show that above sources show infos for Taito license (Quite possible others are cocktail only)

.:Edit 2:

From reddit source, this tweet shows the bootleg board (warp1bl) with grey DIP package:

https://twitter.com/kt2soundlab/status/967053381570240512
User avatar
No.18889
hap
Developer
May 22, 2021, 23:16
edited on: May 22, 2021, 23:21
In service mode (hold service coin at boot), there's only 1 dipswitch shown readable by software. And P2 info is oriented upside-down implying it's a cocktail set.

Either the upright version is a slightly different ROM. Or it's a small hardware modification to remove the flipscreen signal.
Or another possibility, the upright version is a 1-player cabinet, without the P2 start button.
Flyer upright cab shows only 1 joystick, I see a red button for fire, white button for start: https://www.flyerfever.com/post/93147136313/warp-1
User avatar
No.18892
jkburks
Tester
May 23, 2021, 06:19
Maybe I should comment since I posted all of those reference links to reddit.

The upright Warp 1 game in the video is a kit board inside of a generic mini upright “candy store housing”. These type of mini cabinets were sold in large numbers during the 1979-1984 era and were often setup for cheap games at lower cost, so sometimes 20 yen per play rather than 100 yen. The design of the cabinet, with front access door, allowed the game boards to be changed out often to keep things fresh.

Most of these cabinets have generic control panels. Both Sanwa and Seimitsu manufactured control panels that could be bolted to mini-upright or cocktail cabinets. They even manufactured custom panels for specific games (sold with the kit) to be attached to these cabinets, but those are less common.

I have uploaded 2 photos of the cabinet from that video location. If you look closely at the control panel, you can see that it is a generic model suitable for many different games, not a dedicated cabinet that can be used for reference.

The operator has drawn on the panel with sharpie. There are arrows pointing to the left stick. The green button is labeled Missile. The yellow start button has a 1 and an arrow with the word Start. The player 2 start button and regular buttons are all X’d out. I think this is a clear indication that this particular board does not work in this cabinet as 2 player.

This operator would have swapped this board eventually for another nostalgic game, then cleaned the marker off the panel. This is the easier method than removing sticks & buttons and plugging the holes.